Bug 1122129 - Installers (katello, capsule) need to pull in java-1.7 as a requirement
Summary: Installers (katello, capsule) need to pull in java-1.7 as a requirement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-22 15:26 UTC by Corey Welton
Modified: 2016-04-22 15:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:19:36 UTC
jmontleo: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7264 None None None 2016-04-22 15:44:12 UTC

Description Corey Welton 2014-07-22 15:26:14 UTC
Description of problem:

The product requires java 1.7 to run.  However, this is not installed on base RHEL installs (nor even necessarily up2date installs), and has to be installed separately.  As such, we need to get it marked as a dep for Sat6 GA.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140716.0

Comment 1 Jason Montleon 2014-07-22 15:43:28 UTC
Does it require java-1.7.0-openjdk or java-1.7.0-openjdk or java-1.6.0-openjdk?

It looks like katello-installer intalls 1.6.0 for elasticsearch on RHEL. 

If it require 1.7.0 what specifically requires the newer version? I'd like to put the dependency where it belongs, especially since for Capsule we don't really have a meta-package to add the dependency to.

Comment 3 Corey Welton 2014-07-22 18:05:58 UTC
openjdk i believe.  i would have to re-run capsule installer to get exact message, but it complains about needing java-openjdk 1.7.0 or higher.  I will try to get you the exact msg.

Comment 4 Corey Welton 2014-08-13 16:45:53 UTC
The exact message returned from the capsule installer is

Your system does not meet configuration criteria
[ INFO 2014-08-13 12:39:29 verbose] Executing hooks in group boot
[ INFO 2014-08-13 12:39:29 verbose] All hooks in group boot finished
[ INFO 2014-08-13 12:39:29 verbose] Executing hooks in group init
[ INFO 2014-08-13 12:39:29 verbose] All hooks in group init finished
[ INFO 2014-08-13 12:39:29 verbose] Parsing default values from puppet modules...
[ INFO 2014-08-13 12:39:29 verbose] ... finished
[ INFO 2014-08-13 12:39:29 verbose] Executing hooks in group pre_values
[ INFO 2014-08-13 12:39:29 verbose] All hooks in group pre_values finished
tput: No value for $TERM and no -T specified
An OpenJDK version of Java greater than 1.7 should be installed

Comment 5 Jason Montleon 2014-08-13 17:09:03 UTC
Proposed fix upstream: https://github.com/Katello/katello-installer/pull/100

Comment 8 Corey Welton 2014-08-21 17:35:28 UTC
Capsule is still not pulling in java in Satellite-6.0.4-RHEL-6-20140820.1

[root@ibm-x3550m3-11 ~]# rpm -qa|grep java
java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
libvirt-java-devel-0.4.9-1.el6.noarch
java_cup-0.10k-5.el6.x86_64
libvirt-java-0.4.9-1.el6.noarch

Your system does not meet configuration criteria
[ INFO 2014-08-21 19:30:02 verbose] Executing hooks in group boot
[ INFO 2014-08-21 19:30:02 verbose] All hooks in group boot finished
[ INFO 2014-08-21 19:30:02 verbose] Executing hooks in group init
[ INFO 2014-08-21 19:30:02 verbose] All hooks in group init finished
[ INFO 2014-08-21 19:30:02 verbose] Parsing default values from puppet modules...
[ INFO 2014-08-21 19:30:02 verbose] ... finished
[ INFO 2014-08-21 19:30:02 verbose] Executing hooks in group pre_values
[ INFO 2014-08-21 19:30:02 verbose] All hooks in group pre_values finished
An OpenJDK version of Java greater than 1.7 should be installed

Comment 9 Mike McCune 2014-08-21 19:09:41 UTC
Capsule doesn't require anything Java related.  The installer check shouldn't block capsule installs if we don't have Java.

Comment 10 Brad Buckingham 2014-08-26 13:49:41 UTC
Created redmine issue http://projects.theforeman.org/issues/7264 from this bug

Comment 11 Brad Buckingham 2014-08-26 14:49:40 UTC
Proposed fixes in the PRs below.  

issue 1: do not check for java on capsule install:
   https://github.com/Katello/katello-installer/pull/110

issue 2: do not install java 1.6.0 on the server:  (note: the installer was installing both 1.6 & 1.7):
   https://github.com/Katello/puppet-elasticsearch/pull/3

Comment 14 Corey Welton 2014-08-29 15:55:50 UTC
Verified in Satellite-6.0.4-RHEL-6-20140829.0

Comment 15 Corey Welton 2014-08-29 15:56:59 UTC
(Actually Satellite-6.0.4-RHEL-7-20140829.0 initially, but both work)

Comment 16 Bryan Kearney 2014-09-11 12:19:36 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.